Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class GlyfTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.GlyfTable

    public class GlyfTable

extends TrueTypeTable

Model the TrueType Glyf table

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` | `GlyfTable(TrueTypeFont ttf)` Creates a new instance of HmtxTable

Method Summary
`java.nio.ByteBuffer` | `getData()` get the data in this map as a ByteBuffer
`Glyf` | `getGlyph(int index)` Get the glyph at a given index, parsing it as needed
`int` | `getLength()` Get the length of this table
`void` | `setData(java.nio.ByteBuffer data)` Initialize this structure from a ByteBuffer
`java.lang.String` | `toString()` Create a pretty String

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyfTable

    protected GlyfTable(TrueTypeFont ttf)

  Creates a new instance of HmtxTable

Method Detail

### getGlyph

    public Glyf getGlyph(int index)

  Get the glyph at a given index, parsing it as needed

### getData

    public java.nio.ByteBuffer getData()

  get the data in this map as a ByteBuffer

  Overrides:
    `getData` in class `TrueTypeTable`

### setData

    public void setData(java.nio.ByteBuffer data)

  Initialize this structure from a ByteBuffer

  Overrides:
    `setData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

### toString

    public java.lang.String toString()

  Create a pretty String

  Overrides:
    `toString` in class `TrueTypeTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD